% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/make_create.R
\name{make_ego}
\alias{make_ego}
\alias{create_ego}
\title{Making ego networks through interviewing}
\usage{
create_ego(
  max_alters = Inf,
  roster = NULL,
  interpreter = FALSE,
  interrelater = FALSE
)
}
\arguments{
\item{max_alters}{The maximum number of alters to collect.
By default infinity, but many name generators will expect a maximum of
e.g. 5 alters to be named.}

\item{roster}{A vector of node names to offer as potential alters for ego.}

\item{interpreter}{Logical. If TRUE, then it will ask for which attributes
to collect and give prompts for each attribute for each node in the network.
By default FALSE.}

\item{interrelater}{Logical. If TRUE, then it will ask for the contacts from
each of the alters perspectives too.}
}
\description{
This function creates an ego network through interactive interview questions.
Note that it only creates a simplex, directed network.
}
\seealso{
Other makes: 
\code{\link{make_cran}},
\code{\link{make_create}},
\code{\link{make_explicit}},
\code{\link{make_learning}},
\code{\link{make_motifs}},
\code{\link{make_play}},
\code{\link{make_random}},
\code{\link{make_read}},
\code{\link{make_stochastic}},
\code{\link{make_write}}
}
\concept{makes}
