% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/map_layouts.R
\name{map_layout_configuration}
\alias{map_layout_configuration}
\alias{layout_tbl_graph_configuration}
\alias{layout_tbl_graph_dyad}
\alias{layout_tbl_graph_triad}
\alias{layout_tbl_graph_tetrad}
\alias{layout_tbl_graph_pentad}
\alias{layout_tbl_graph_hexad}
\title{Layout algorithms based on configurational positions}
\usage{
layout_tbl_graph_configuration(.data, circular = FALSE, times = 1000)

layout_tbl_graph_dyad(.data, circular = FALSE, times = 1000)

layout_tbl_graph_triad(.data, circular = FALSE, times = 1000)

layout_tbl_graph_tetrad(.data, circular = FALSE, times = 1000)

layout_tbl_graph_pentad(.data, circular = FALSE, times = 1000)

layout_tbl_graph_hexad(.data, circular = FALSE, times = 1000)
}
\arguments{
\item{.data}{An object of a manynet-consistent class:
\itemize{
\item matrix (adjacency or incidence) from \code{{base}} R
\item edgelist, a data frame from \code{{base}} R or tibble from \code{{tibble}}
\item igraph, from the \code{{igraph}} package
\item network, from the \code{{network}} package
\item tbl_graph, from the \code{{tidygraph}} package
}}

\item{circular}{Should the layout be transformed into a radial representation.
Only possible for some layouts. Defaults to FALSE.}

\item{times}{Maximum number of iterations, where appropriate}
}
\description{
Configurational layouts locate nodes at symmetric coordinates
to help illustrate particular configurations.
Currently "triad" and "quad" layouts are available.
The "configuration" layout will choose the appropriate configurational
layout automatically.
}
\seealso{
Other mapping: 
\code{\link{map_graphr}},
\code{\link{map_graphs}},
\code{\link{map_grapht}},
\code{\link{map_layout_partition}}
}
\concept{mapping}
